Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044047
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2020-05-13 08:122020-05-29 09:17
ReporterAgatheBertinView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR20Q3
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044047: Digital Coupon - Can't use coupon if no subtype for the issuing company

DescriptionWe should be able to use coupon even without subtype.


According to the wiki, it seems having a subtype should not be mandatory:
"Sub Type Tab: Some digital coupon standards allow to define sub types for each issuing company. Those subtypes must have a different code to the other subtypes of the issuing company."


Related Modules
- Digital Coupons http://wiki.openbravo.com/wiki/Projects:DigitalCoupons/User_Guide [^]
- Cheque Cadeau http://wiki.openbravo.com/wiki/Projects:ChequeCadeau/User_Guide [^]
Steps To Reproduce- Create a Issuing Company (no subtypes)
In the POS
- add a product to the ticket
- Try to use a digital Coupon
- Error Message "The sub Type is not valid for the selected issuing company"
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0120371)
hgbot (developer)
2020-05-27 19:02

Repository: erp/pmods/org.openbravo.retail.digitalcoupons
Changeset: 870ee497b5bdce482bfd4f921c93114e142edd49
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Wed May 27 22:32:42 2020 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.digitalcoupons/rev/870ee497b5bdce482bfd4f921c93114e142edd49 [^]

Related to issue 44047 : Removed mandatory validation for SubType

* If the issuing company has no subTypes, then subType field will be hidden
  else user can select the empty value or defined subType

---
M web/org.openbravo.retail.digitalcoupons/js/modalDigitalCoupons.js
---

- Issue History
Date Modified Username Field Change
2020-05-13 08:12 AgatheBertin New Issue
2020-05-13 08:12 AgatheBertin Assigned To => Retail
2020-05-13 08:12 AgatheBertin Triggers an Emergency Pack => No
2020-05-22 08:44 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2020-05-27 19:02 hgbot Checkin
2020-05-27 19:02 hgbot Note Added: 0120371
2020-05-28 15:35 ranjith_qualiantech_com Status new => scheduled
2020-05-28 15:35 ranjith_qualiantech_com Status scheduled => resolved
2020-05-28 15:35 ranjith_qualiantech_com Resolution open => fixed
2020-05-29 09:17 marvintm Review Assigned To => marvintm
2020-05-29 09:17 marvintm Status resolved => closed
2020-05-29 09:17 marvintm Fixed in Version => RR20Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker